//
//  JifDropletGui.h
//  glMovingLines
//
//  Created by Jiffer Harriman on 11/22/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//
#ifndef JIFDROPLETGUI_H
#define JIFDROPLETGUI_H

#include "JifGL.h"
#include "JifDrop.h"

class JifDropletGui {
    // float m_radius;
    float m_xOffset;
    float m_yOffset;
    int m_ChannelId;
    int m_BeatId;
    bool m_enabled;
    
    float m_screenWidth, m_screenHeight, m_screenWidthOverHeight;
    float m_screenScaleW, m_screenScaleH;
    
    GLfloat * m_color;
    GLfloat * m_muteColor;
    
    JifDrop * m_theDrop;
    
    
public:
    JifDropletGui(int chan, int beat, float x, float y);
    ~JifDropletGui();
    
    void setEnabled(){m_enabled = !m_enabled;};
    bool isEnabled(){return m_enabled;};
    
    // reshape function
    void setWindowShape(int w, int h);
    
    // display functions
    void draw(GLenum);
    void animate();
    
    // motion function
    void procMovement(int x, int y);
    
    // mouse function
    void pick(int button, int state, int x, int y);
    
    void setYOffset(float y){m_yOffset = y;};
    
    void setDropper(JifDrop * theDropper){m_theDrop = theDropper;};
    
};

#endif