//
//  JifKitchen.h
//  glMovingLines
//
//  Created by Jiffer Harriman on 12/8/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#ifndef JIFKITCHEN_H
#define JIFKITCHEN_H

#include "JifGL.h"
#include "Sinkapater.h"
#include "AudioFileSet.h"

#include <stdlib.h>
#include <stdio.h>

class JifKitchen {
    GLfloat * m_color;
    
    float m_zoom;
    int m_viewDir;
    
public:
    Sinkapater ** theSinks;
    AudioFileSet ** theFileSets;
    
    JifKitchen(int bufSize);
    ~JifKitchen();
    void toggleAnimate();
    void togglePlay();
    bool getAnimate(){return theSinks[0]->getAnimate();};
    
    void draw(int current);
    
    SAMPLE ** m_mixBufArray;

    // TODO: sum all the sinks
    void tick(SAMPLE * buffer, int bufferSize);

    void toggleDir(bool right){
        if (right){
            m_viewDir ++;
            m_viewDir %= 4;
        }
        else{
            m_viewDir --;
            if (m_viewDir < 0) {
                m_viewDir+=4;
            }
        }
    };
};


#endif