//
//  main.h
//  glMovingLines
//
//  Created by Jiffer Harriman on 11/18/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#include "JifGL.h"
#include "MyAudio.h"

#include <stdlib.h>
#include <stdio.h>

//jif includes
#include "Sinkapater.h"
#include "JifVerticalRect.h"
#include "JifChannelGui.h"
#include "JifKitchen.h"


// globals
JifVerticalRect * myRect;
Sinkapater * theSink;
JifKitchen * theKitchen;
//JifChannelGui * myChannel;

int currentSink = 0;


///// OpenGL Functions

//-----------------------------------------------------------------------------
// Name: idleFunc( )
// Desc: callback from GLUT
//-----------------------------------------------------------------------------
void idleFunc( )
{
    // render the scene
    glutPostRedisplay( );
}

void reshape(int w, int h)
{
    glViewport(0, 0, (GLsizei) w, (GLsizei) h);
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    glOrtho(0.0, SCREENNORM, 0.0, 8.0, -0.5, 2.5);
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();
//    theSink->setWindowShape(w, h);
    for (int i = 0; i < NUMSINKS; i++){
        theKitchen->theSinks[i]->setWindowShape(w,h);
    }
    

}

void keyboard(unsigned char key, int x, int y)
{
    switch (key) {
        // esc key
        case 27:
        case 'q':
        case 'Q':
            exit(0);
            break;
            
        // if space bar:
        case 32:
            theKitchen->togglePlay();
            break;
        
        case 't':
        case 'T':
            theKitchen->toggleAnimate();
            break;
            
        case '1':
            currentSink = 0;
            break;
        case '2':
            currentSink = 1;
            break;
        case '3':
            currentSink = 2;
            break;
    }
}


//-----------------------------------------------------------------------------
// Name: specialFunc( )
// Desc: handles special function keys
//-----------------------------------------------------------------------------
void specialFunc( int key, int x, int y )
{
    if( key == GLUT_KEY_LEFT)
    {
        theKitchen->toggleDir(0);
        
    }
    if( key == GLUT_KEY_RIGHT)
    {
        theKitchen->toggleDir(1);
    }
    if( key == GLUT_KEY_DOWN)
    {
        
    }
    if( key == GLUT_KEY_UP)
    {
        
    }
    if( key == GLUT_KEY_PAGE_UP)
    {
        
    }
    if( key == GLUT_KEY_PAGE_DOWN)
    {
        
    }
    
    glutPostRedisplay( );
}

