//
//  JifGL.h
//  glMovingLines
//
//  Created by Jiffer Harriman on 11/18/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//


#ifdef __MACOSX_CORE__
#include <GLUT/glut.h>
#else
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#endif

// other includes
#include <stdlib.h>
#include <stdio.h>
#include <math.h>


#define JIFPICKBUFSIZE 1024

// initial window size:
#define WIDTH 1500
#define HEIGHT 1000

// 
#define SCREENNORM 8.0

#define SINKMAX 7.5
#define SINKTOP 4.0
#define SINKBOTTOM 0.5
#define SINKMIN 0.6


// a constant to increment the GL pick names by for each instance of the main class
// each object can have up to NAMEINCREMENT elements within it that can be individually addressed
#define NAMEINCREMENT 200

// maximum number of drops per channel (should be less than NAMEINCREMENT - 4
#define MAXDROPS 100
#define INITDROPS 16.0
#define INITMASTERDROPS 4

#define MAXCHANS 32
#define INITCHANS 5

#define NUMRINGS 80

#define NUMSINKS 3
